Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.werkzeuge
Class Uhr

    java.lang.Object
      sum.werkzeuge.Uhr

All Implemented Interfaces:
  Serializable

    public class Uhr

extends Object
implements Serializable

Eine Uhr realisiert ein Objekt, das verschiedene Zeit- und Datumsfunktionen zur Verfügung stellt.

Version:
  7.0 vom 21.9.2008
Author:
  Bernard Schriek, Horst Hildebrecht
See Also:
  Serialized Form

Constructor Summary
`Uhr()` Die Uhr wird initialisiert.

Method Summary
`String` | `datum()` Es wird das aktuelle Datum als Zeichenkette zurueckgegeben.
`double` | `gestoppteZeit()` Die zuletzt gestoppte Zeit wurde (auf Tausendstel genau) geliefert.
`void` | `gibFrei()` Dummy-Prozedur
`int` | `jahr()` Es wird das aktuelle Jahr zurueckgegeben.
`int` | `minute()` Es wird die aktuelle Minute zurueckgegeben.
`int` | `monat()` Es wird der aktuelle Monat zurueckgegeben.
`int` | `sekunde()` Es wird die aktuelle Sekunde zurueckgegeben.
`void` | `starte()` Die Stoppuhr wurde gestartet.
`void` | `stoppe()` Die Stoppuhr wurde gestoppt.
`int` | `stunde()` Es wird die aktuelle Stunde zurueckgegeben.
`int` | `tag()` Es wird der aktuelle Tag im Monat zurueckgegeben.
`double` | `verstricheneZeit()` Die seit Erzeugung der Uhr bzw. die seit dem letzten Start verstrichene Zeit wurde (auf Tausendstel genau) geliefert.
`void` | `warte(long pDauer)` Es wird eine Pause von pDauer Millisekunden aufgerufen.
`String` | `zeit()` Es wird die aktuelle Zeit als Zeichenkette zurueckgegeben.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Uhr

    public Uhr()

  Die Uhr wird initialisiert.

Method Detail

### datum

    public String datum()

  Es wird das aktuelle Datum als Zeichenkette zurueckgegeben.

  Returns:
    das aktuelle Datum als Zeichenkette

### gestoppteZeit

    public double gestoppteZeit()

  Die zuletzt gestoppte Zeit wurde (auf Tausendstel genau) geliefert.

  Returns:
    die gestoppte Zeit

### gibFrei

    public void gibFrei()

  Dummy-Prozedur

### jahr

    public int jahr()

  Es wird das aktuelle Jahr zurueckgegeben.

  Returns:
    das aktuelle Jahr als ganze Zahl

### minute

    public int minute()

  Es wird die aktuelle Minute zurueckgegeben.

  Returns:
    die aktuelle Minute als ganze Zahl

### monat

    public int monat()

  Es wird der aktuelle Monat zurueckgegeben.

  Returns:
    der aktuelle Monat als ganze Zahl

### sekunde

    public int sekunde()

  Es wird die aktuelle Sekunde zurueckgegeben.

  Returns:
    die aktuelle Sekunde als ganze Zahl

### starte

    public void starte()

  Die Stoppuhr wurde gestartet.

### stoppe

    public void stoppe()

  Die Stoppuhr wurde gestoppt. Man kann mehrmals stoppen!

### stunde

    public int stunde()

  Es wird die aktuelle Stunde zurueckgegeben.

  Returns:
    die aktuelle Stunde als ganze Zahl

### tag

    public int tag()

  Es wird der aktuelle Tag im Monat zurueckgegeben.

  Returns:
    der aktuelle Tag als ganze Zahl

### verstricheneZeit

    public double verstricheneZeit()

  Die seit Erzeugung der Uhr bzw. die seit dem letzten Start verstrichene Zeit wurde (auf Tausendstel genau) geliefert.

  Returns:
    die verstrichene Zeit

### warte

    public void warte(long pDauer)

  Es wird eine Pause von pDauer Millisekunden aufgerufen.

  Parameters:
    `pDauer` - zu wartende Zeit in Millisekunden

### zeit

    public String zeit()

  Es wird die aktuelle Zeit als Zeichenkette zurueckgegeben.

  Returns:
    die aktuelle Zeit als Zeichenkette

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD